%define	module	DBD-Pg
%define	name	perl-%{module}
%define	version	2.2.2
%define	release	%mkrel 1

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	PostgreSQL database driver for the DBI module
License:	GPL or Artistic
Group:		Development/Perl
Source:		ftp://ftp.perl.org/pub/CPAN/modules/by-module/DBD/%{module}-%{version}.tar.bz2
Url:		http://search.cpan.org/dist/%{module}/
Buildrequires:	perl(DBI)
Buildrequires:	perl-devel
Buildrequires:	postgresql-devel
Buildrequires:	chrpath
BuildRoot:	%{_tmppath}/%{name}-%{version}

%description
PostgreSQL database driver for the DBI module

%prep
%setup -q -n %{module}-%{version}
rm -f t/00-signature.t

%build
export POSTGRES_INCLUDE=/usr/include/pgsql
export POSTGRES_LIB=%{_libdir}
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make CFLAGS="%{optflags}"

%check
%{__make} test

%install
rm -rf %{buildroot}
%makeinstall_std
chrpath -d %{buildroot}%{perl_vendorarch}/auto/DBD/Pg/Pg.so

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README Changes
%{perl_vendorarch}/auto/DBD
%{perl_vendorarch}/DBD
%{_mandir}/*/*




%changelog
* Tue Mar 04 2008 Guillaume Rousse <guillomovitch@mandriva.org> 2.2.2-1mdv2008.1
+ Revision: 178291
- update to new version 2.2.2

* Mon Mar 03 2008 Guillaume Rousse <guillomovitch@mandriva.org> 2.2.1-1mdv2008.1
+ Revision: 177901
- update to new version 2.2.1

* Fri Feb 29 2008 Guillaume Rousse <guillomovitch@mandriva.org> 2.2.0-1mdv2008.1
+ Revision: 176706
- update to new version 2.2.0

* Fri Feb 22 2008 Guillaume Rousse <guillomovitch@mandriva.org> 2.1.3-1mdv2008.1
+ Revision: 173874
- update to new version 2.1.3

* Thu Feb 21 2008 Guillaume Rousse <guillomovitch@mandriva.org> 2.1.2-1mdv2008.1
+ Revision: 173533
- update to new version 2.1.2

* Wed Feb 20 2008 Guillaume Rousse <guillomovitch@mandriva.org> 2.1.1-1mdv2008.1
+ Revision: 173292
- update to new version 2.1.1

* Tue Feb 12 2008 Guillaume Rousse <guillomovitch@mandriva.org> 2.0.0-1mdv2008.1
+ Revision: 166709
- nuke rpath
- update to new version 2.0.0

* Mon Jan 14 2008 Pixel <pixel@mandriva.com> 1.49-3mdv2008.1
+ Revision: 151344
- rebuild for perl-5.10.0

* Thu Dec 20 2007 Olivier Blin <oblin@mandriva.com> 1.49-2mdv2008.1
+ Revision: 135833
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request


* Sun Jan 14 2007 Olivier Thauvin <nanardon@mandriva.org> 1.49-2mdv2007.0
+ Revision: 108582
- rebuild for latest libpq

  + Guillaume Rousse <guillomovitch@mandriva.org>
    - Import perl-DBD-Pg

* Tue May 30 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.49-1mdv2007.0
- New release 1.49

* Sun Apr 09 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.48-1mdk
- New release 1.48
- better source URL
- better buildrequires syntax

* Wed Mar 22 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 1.47-1mdk
- 1.47

* Mon Mar 20 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.46-1mdk
- New release 1.46

* Mon Mar 06 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.45-1mdk
- New release 1.45
- spec cleanup

* Sun Jan 01 2006 Mandriva Linux Team <http://www.mandrivaexpert.com/> 1.43-3mdk
- Rebuild

* Sat Sep 10 2005 Guillaume Rousse <guillomovitch@mandriva.org> 1.43-2mdk
- source URL
- add missing automatic provides

* Sat Jun 25 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 1.43-1mdk
- 1.43

* Fri Jun 03 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 1.42-1mdk
- 1.42

* Mon Apr 18 2005 Olivier Thauvin <nanardon@mandrake.org> 1.41-1mdk
- 1.41
- rebuild against latest postgres
- move test in %%check
- %%mkrel

* Thu Feb 24 2005 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 1.40-1mdk
- 1.40

* Thu Nov 25 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 1.32-2mdk
- rebuild for new perl
- add tests to build phase

* Thu Apr 22 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 1.32-1mdk
- 1.32
- quiet setup
- spec cosmetics

